Subject: Re: [mpls] Mirja Kühlewind's Discuss on draft-ietf-mpls-sr-over-ip-03: (with DISCUSS)

From: "Acee Lindem (acee)" <[email-masked]>
Date: Thu, 2 May 2019 18:44:47 +0000

On 5/2/19, 2:39 PM, "mpls on behalf of BRUNGARD, DEBORAH A" <[email-masked] on behalf of [email-masked]> wrote:

    Hi,
    
    I'm not sure if you were holding your breath on my answer😊
    
    As Adrian noted, we have moved away from specifying a specific IGP (or two). Similar to draft-ietf-pce-segment-routing (recently approved) where we also took the informative approach. So I definitely support here the same approach. We do need to be future proof, IGPs are no longer the only technology in town - hopefully Acee is not reading this😊

You can't get anything by me __ but I'm not one to limit the possibilities - https://datatracker.ietf.org/doc/draft-ietf-lsvr-bgp-spf/

Thanks,
Acee
    
    Alvaro's suggestions on generalizing are very helpful and I think will help to clarify these are examples.
    
    Thanks,
    Deborah
    
    -----Original Message-----
    From: iesg <[email-masked]> On Behalf Of Adrian Farrel
    Sent: Sunday, April 28, 2019 1:52 PM
    To: 'Mirja Kuehlewind' <[email-masked]>
    Cc: [email-masked]; [email-masked]; [email-masked]; 'The IESG' <[email-masked]>; [email-masked]
    Subject: RE: Mirja Kühlewind's Discuss on draft-ietf-mpls-sr-over-ip-03: (with DISCUSS)
    
    Hi Mirja,
    
    I have been looking at your Discuss. It seems that at least one of the referenced documents is hung up in the working group and is some way from becoming an RFC.
    
    We tend not to like to write documents that (appear to) favour one of the two IGPs, so I am not comfortable with the idea of making one IGP normative and the other informative. I think the solution here is to make the whole of section 3.1 just use the IGPs as an example (taking out 2119 language and making it very clear that "other flooding mechanisms are available").
    
    I wanted to get your OK on this approach (it sounded from your reply that you would be OK if the responsible AD was OK). I believe that, per Alvaro's Discuss, we will also need some generic text to establish the process divorced from any particular protocol mechanism.
    
    Thanks,
    Adrian
    
    -----Original Message-----
    From: Adrian Farrel <[email-masked]>
    Sent: 13 April 2019 17:13
    To: 'Mirja Kuehlewind' <[email-masked]>
    Cc: 'Mirja Kühlewind via Datatracker' <[email-masked]>; 'The IESG' <[email-masked]>; [email-masked]; [email-masked]; [email-masked]; [email-masked]
    Subject: RE: Mirja Kühlewind's Discuss on draft-ietf-mpls-sr-over-ip-03: (with DISCUSS)
    
    Hi Mirja,
    
    Sorry to be a long time on this.
    
    It looks like your concerns around the various OSPF and ISIS drafts has thrown up a "challenge".
    One of the references (draft-ietf-isis-encapsulation-cap) is missing in action, and seems to have been abandoned.
    
    This will necessitate some work on the draft to abstract the mechanisms described into general terms and avoid the need to reference at least this one draft, and maybe all four of the IGP drafts.
    
    Thanks for your patience.
    
    Adrian
    
    -----Original Message-----
    From: Adrian Farrel <[email-masked]>
    Sent: 13 March 2019 13:16
    To: 'Mirja Kuehlewind' <[email-masked]>
    Cc: 'Mirja Kühlewind via Datatracker' <[email-masked]>; 'The IESG' <[email-masked]>; [email-masked]; [email-masked]; [email-masked]; [email-masked]
    Subject: RE: Mirja Kühlewind's Discuss on draft-ietf-mpls-sr-over-ip-03: (with DISCUSS)
    
    Thanks Mirja,
    
    >>> 1) Given section 3.1, the following drafts all seems that they 
    >>> should be normative references: ietf-isis-encapsulation-cap, 
    >>> ietf-ospf-encapsulation-cap, ietf-ospf-segment-routing-extensions,
    >>> ietf-isis-segment-routing-extensions
    >> 
    >> Well, that wasn't the intention. It is meant to be an example of how 
    >> the forwarding entries are constructed.
    >> 
    >> As it says at the top of Section 3...
    >>   Note that the examples in
    >>   Section 3.1 and Section 3.2 assume that OSPF or ISIS is enabled: in
    >>   fact, other mechanisms of discovery and advertisement could be used
    >>   including other routing protocols (such as BGP) or a central
    >>   controller.
    >> 
    >> We could be more explicit in section 3.1 so that, for example...
    >> 
    >> OLD
    >>   o  The Segment Routing Global Block (SRGB) is defined in [RFC8402].
    >>      Router E is SR-MPLS capable, so it advertises an SRGB as described
    >>      in [I-D.ietf-ospf-segment-routing-extensions] and
    >>      [I-D.ietf-isis-segment-routing-extensions].
    >> NEW
    >>   o  The Segment Routing Global Block (SRGB) is defined in [RFC8402].
    >>      Router E is SR-MPLS capable, so it advertises an SRGB to the other
    >>      SR-MPLS capable routers.  If an IGP is in use then Router E behaves
    >>      as described in [I-D.ietf-ospf-segment-routing-extensions] and
    >>      [I-D.ietf-isis-segment-routing-extensions], but other mechanisms
    >>      Could be applied.
    >> END
    >> 
    >> We'd need to make similar changes throughout the section.
    >> 
    >> Would such changes be enough for you?
    >
    > It still sounds to me that these document are basically a must read to 
    > understand the full picture. Do you think it would be a problem or the 
    > wrong thing to make these reference normative?
    >
    > However, your wording change makes it definitely more clear that this 
    > is only one example. If the wg and responsible ADs think, it’s the 
    > right thing to do to leave the reference informative, I will clear my 
    > discuss.
    
    I was worried about the rate of progress of SR documents. There has been a tendency for them to travel a little slowly.
    
    It looks like these documents have all now progressed far enough, but they are caught up in a deadly cluster of missing references (cluster 340). We'll have a look through the cluster to see how dangerous it is and make normative references where we can.
    
    >>> 2) Sec 3.2.3 on IP Header fields should refer to RFC6040 for the ECN 
    >>> field and eventually RFC2983 for DSCP.
    >> 
    >> That's good. Thanks. It gives us...
    >> 
    >>            <t hangText="IP Header Fields:">When encapsulating an MPLS
    >>            packet in UDP, the resulting packet is further encapsulated in
    >>            IP for transmission. IPv4 or IPv6 may be used according to the
    >>            capabilities of the network. The address fields are set as
    >>            described in <xref target="usecases"/>. The other IP header
    >>            fields (such as the ECN field <xref target="RFC6040"/>, the DSCP 
    >>            code point <xref target="RFC2983"/>, or IPv6 Flow Label) on each
    >>            UDP-encapsulated segment SHOULD be configurable according to the
    >>            operator&apos;s policy: they may be copied from the header of the
    >>            incoming packet; they may be promoted from the header of the
    >>            payload packet; they may be set according to instructions
    >>            programmed to be associated with the SID; or they may be
    >>            configured dependent on the outgoing interface and 
    >> payload.</t>
    >
    > Yes, thanks!
    
    Perfect. It's in my working copy.
    
    Best,
    Adrian
    
    _______________________________________________
    mpls mailing list
    [email-masked]
    https://www.ietf.org/mailman/listinfo/mpls